Subject: Re: bug#60526: 29.0.60; javascript-mode → js-mode

From: Dmitry Gutov <[email-masked]>
Date: Sun, 8 Jan 2023 13:07:41 +0200

On 08/01/2023 03:39, Yuan Fu wrote:
> Juri Linkov<[email-masked]>  writes:
> 
>>>>> -     ("\\.js[mx]?\\'" . javascript-mode)
>>>>> +     ("\\.js[mx]?\\'" . js-mode)
>>>>>       ;;https://en.wikipedia.org/wiki/.har
>>>>> -     ("\\.har\\'" . javascript-mode)
>>>>> +     ("\\.har\\'" . js-mode)
>>>>>       ("\\.json\\'" . js-json-mode)
>>>>>       ("\\.[ds]?va?h?\\'" . verilog-mode)
>>>>>       ("\\.by\\'" . bovine-grammar-mode)
>>>> This is basically a no-brainer, but we had javascript-mode there for
>>>> quite some time, and it's too late to change that for Emacs 29.
>>>> Please install on master.
>>> I thought auto-mode-alist should use the canonical name and
>>> major-mode-remap-alist maps the canonical name to the actual mode.
>> But the canonical name is js-mode, because javascript-mode is
>> an alias to js-mode.
> js-mode feels more like "implementation name" to me. After all, the name
> of the language is Javascript, not js. I think javascript-mode best
> represents "major mode for javascript", not js-mode, if you get what I
> mean.
> 

javascript-mode was the name of a different mode. js-mode was a later 
rewrite of it.